package MooseX::AttributeHelpers::Collection::Array;
use Moose;
use MooseX::AttributeHelpers::MethodProvider::Collection::Array;

extends 'MooseX::AttributeHelpers::Collection';

our $VERSION   = '0.01';
our $AUTHORITY = 'cpan:STEVAN';

__PACKAGE__->sugar(
    method_provider  => 'Collection::Array',
    shortcut         => 'Collection::Array',
);

no Moose;

1;

__END__

=pod

=head1 NAME

MooseX::AttributeHelpers::Collection::Array

=head1 SYNOPSIS

  package Stuff;
  use Moose;
  use MooseX::AttributeHelpers;
  
  has 'options' => (
      metaclass => 'Collection::Array',
      is        => 'ro',
      isa       => 'ArrayRef[Int]',
      default   => sub { [] },
      provides  => {
          'push' => 'add_options',
          'pop'  => 'remove_last_option',
      }
  );

=head1 DESCRIPTION

This module provides an Array attribute which provides a number of 
array operations. 

=head1 PROVIDED METHODS

The methods for this metaclass are provided by
L<MooseX::AttributeHelpers::MethodProvider::Collection::Array>.

=head1 BUGS

All complex software has bugs lurking in it, and this module is no 
exception. If you find a bug please either email me, or add the bug
to cpan-RT.

=head1 AUTHOR

Stevan Little E<lt>stevan@iinteractive.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2007-2008 by Infinity Interactive, Inc.

L<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut
